summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood2014-07-15 18:07:57 +0200
committer Willy Sudiarto Raharjo2014-07-16 13:26:49 +0200
commitda38baeaa5714931f5ab2da681674b06ffc9b1d7 (patch)
tree585b3487b90197c17a51f9954a871d177e5b66c6 /ham
parent129c190a6817c4661d488cbd8adb0b8ba0def748 (diff)
downloadslackbuilds-da38baeaa5714931f5ab2da681674b06ffc9b1d7.tar.gz
ham/linpsk: Added (QT4-based PSK31 program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/linpsk/README10
-rw-r--r--ham/linpsk/linpsk.SlackBuild89
-rw-r--r--ham/linpsk/linpsk.info10
-rw-r--r--ham/linpsk/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/ham/linpsk/README b/ham/linpsk/README
new file mode 100644
index 0000000000..d57ac1817f
--- /dev/null
+++ b/ham/linpsk/README
@@ -0,0 +1,10 @@
+LinPsk is a Psk31 and RTTY program for Linux using Qt.
+It's roots are based on WinPsk 1.0.
+
+LinPSK uses ALSA and can be configured to key your
+radio using your serial port. Any number of homebrew
+or commercially available serial port interfaces should
+work for this purpose.
+
+LinPSK can optionally be used with LinLogbook, which it
+integrates with well (and is also available at Slackbuilds.org.)
diff --git a/ham/linpsk/linpsk.SlackBuild b/ham/linpsk/linpsk.SlackBuild
new file mode 100644
index 0000000000..5b6ec03311
--- /dev/null
+++ b/ham/linpsk/linpsk.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+# Slackbuild for linpsk
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=linpsk
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake -o Makefile linpsk.pro
+make
+
+mkdir -p $PKG/usr/bin
+install -m 755 bin/linpsk $PKG/usr/bin/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a asoundrc COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/ham/linpsk/linpsk.info b/ham/linpsk/linpsk.info
new file mode 100644
index 0000000000..69a2bbd4d6
--- /dev/null
+++ b/ham/linpsk/linpsk.info
@@ -0,0 +1,10 @@
+PRGNAM="linpsk"
+VERSION="1.2"
+HOMEPAGE="http://linpsk.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/linpsk/linpsk-1.2.tgz"
+MD5SUM="674c783fd772a532a7b8a107ae69ec1e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/linpsk/slack-desc b/ham/linpsk/slack-desc
new file mode 100644
index 0000000000..63ca732870
--- /dev/null
+++ b/ham/linpsk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+linpsk: linpsk (QT4-based PSK31 program)
+linpsk:
+linpsk: linpsk is a QT4-based PSK31 program for Linux. It uses the ALSA
+linpsk: sound system and the FFTW library to encode/decode PSK31, and can
+linpsk: be configured to key your radio through a serial port with any number
+linpsk: of commercially available or homebrew radio interfaces. It also
+linpsk: supports RTTY.
+linpsk:
+linpsk:
+linpsk: Homepage: http://linpsk.sourceforge.net/
+linpsk: